%define oname   racc

Name:       ruby-%{oname}
Version:    1.6.0
Release:    %mkrel 3
Summary:    A LALR(1) parser generator
Group:      Development/Ruby
License:    LGPLv2
URL:        http://racc.rubyforge.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: rubygem(rake)
BuildRequires: rubygem(hoe) >= 3.0

%description
Racc is a LALR(1) parser generator. It is written in Ruby itself, and
generates Ruby program.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
#fix shebang
sed -i 's;#!.*;#!/usr/bin/env ruby;' bin/*
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_extdir_mri}/ext

%files
%{_bindir}/racc
%{gem_instdir}/
%{gem_extdir_mri}
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.rdoc README.ja.rdoc


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.6.0-3.mga9
+ Revision: 1827821
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 1.6.0-2.mga9
+ Revision: 1784607
- Rebuild for Ruby 3.1

* Thu Feb 24 2022 pterjan <pterjan> 1.6.0-1.mga9
+ Revision: 1784126
- Update to 1.6.0

* Fri Mar 27 2020 pterjan <pterjan> 1.5.0-1.mga8
+ Revision: 1561117
- Update to 1.5.0

* Fri Feb 14 2020 umeabot <umeabot> 1.4.14-5.mga8
+ Revision: 1516653
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.4.14-4.mga7
+ Revision: 1300896
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 pterjan <pterjan> 1.4.14-3.mga7
+ Revision: 1188702
- Rebuild for Ruby 2.5

* Thu Aug 24 2017 pterjan <pterjan> 1.4.14-2.mga7
+ Revision: 1146559
- Rebuild for new Ruby

* Sun Jan 10 2016 pterjan <pterjan> 1.4.14-1.mga6
+ Revision: 921164
- Update to 1.4.14

* Wed Dec 02 2015 spuhler <spuhler> 1.4.11-2.mga6
+ Revision: 907686
- rebuild with new libruby

* Tue Oct 13 2015 pterjan <pterjan> 1.4.11-1.mga6
+ Revision: 890531
- Update to 1.4.11

* Wed Oct 15 2014 umeabot <umeabot> 1.4.9-10.mga5
+ Revision: 740417
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.9-9.mga5
+ Revision: 688912
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.4.9-8.mga4
+ Revision: 561544
- Fix gem macros

* Sun Dec 22 2013 pterjan <pterjan> 1.4.9-7.mga4
+ Revision: 559688
- Update for new binary extensions location

* Sat Oct 19 2013 umeabot <umeabot> 1.4.9-6.mga4
+ Revision: 535648
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.4.9-5.mga4
+ Revision: 482285
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 1.4.9-4.mga4
+ Revision: 479113
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.4.9-3.mga3
+ Revision: 396298
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.4.9-2.mga3
+ Revision: 381283
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.4.9-1.mga3
+ Revision: 311982
- update file list
- new version 1.4.9

* Thu Jun 07 2012 solbu <solbu> 1.4.8-3.mga3
+ Revision: 256758
- New version
- Spec cleanup

* Sun Jan 30 2011 shikamaru <shikamaru> 1.4.6-3.mga1
+ Revision: 44752
- fix shebang

* Tue Jan 25 2011 shikamaru <shikamaru> 1.4.6-2.mga1
+ Revision: 39610
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 1.4.6-1.mga1
+ Revision: 36824
- imported package ruby-racc


* Mon Jan 24 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.4.6-2mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.4.5-5mdv2010.0
+ Revision: 433545
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4.5-4mdv2009.0
+ Revision: 269235
- rebuild early 2009.0 package (before pixel changes)

* Sat May 10 2008 Pascal Terjan <pterjan@mandriva.org> 1.4.5-3mdv2009.0
+ Revision: 205434
- Add check section and some missing doc

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.4.5-2mdv2008.1
+ Revision: 140755
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 1.4.5-2mdv2008.0
+ Revision: 16765
- Use Development/Ruby group
- Use std macros


* Mon Nov 21 2005 Pascal Terjan <pterjan@mandriva.org> 1.4.5-1mdk
- 1.4.5
- mkrel

* Sun Apr 17 2005 Pascal Terjan <pterjan@mandrake.org> 1.4.4-3mdk
- fix lib64

* Fri Oct 22 2004 Pascal Terjan <pterjan@mandrake.org> 1.4.4-2mdk
- rebuild

* Thu Dec 25 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.4.4-1mdk 
- first mdk release

